Bug 21425 - basketno not being interpolated into error message
Summary: basketno not being interpolated into error message
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-27 11:23 UTC by Colin Campbell
Modified: 2018-10-24 09:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patch to correctly display basketno (1.33 KB, patch)
2018-09-27 11:34 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 21425 Display basketno correctly in Order error msg (1.40 KB, patch)
2018-09-27 11:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21425 Display basketno correctly in Order error msg (1.46 KB, patch)
2018-09-30 23:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2018-09-27 11:23:26 UTC
Noted by Kyle in passing in bug 21417 - basketno was failing to be interpolated into the error message. and should be moved out of the string

Have changed the two cases where basketno was appearing in a carp message to catenate the basketno onto the end of the error string.

Tested by passing passing orderlines parameters but suppressing others so that error message is invoked
Comment 1 Colin Campbell 2018-09-27 11:34:09 UTC
Created attachment 79480 [details] [review]
Patch to correctly display basketno
Comment 2 Kyle M Hall 2018-09-27 11:59:19 UTC
Created attachment 79487 [details] [review]
Bug 21425 Display basketno correctly in Order error msg

carp will display the hash value instead of the desired basketno
in the error message unless we change its behaviour

Use the simpler but effective option of concatenating
the errormessage with the basketno. Error is shown if no
sender or receipient ean is passed in instantiating
an Koha::Edifact::Order object

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Jonathan Druart 2018-09-30 23:20:25 UTC
Still no test for this module?
Comment 4 Jonathan Druart 2018-09-30 23:21:21 UTC
Created attachment 79667 [details] [review]
Bug 21425 Display basketno correctly in Order error msg

carp will display the hash value instead of the desired basketno
in the error message unless we change its behaviour

Use the simpler but effective option of concatenating
the errormessage with the basketno. Error is shown if no
sender or receipient ean is passed in instantiating
an Koha::Edifact::Order object

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-10-01 16:45:58 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-05 15:38:51 UTC
Pushed to 18.05.x for 18.05.05
Comment 7 Fridolin SOMERS 2018-10-11 13:01:09 UTC
Pushed to 17.11.x for 17.11.11